Loading...
Searching...
No Matches
itkOpenCLGlobal.h File Reference
`#include <memory>`
Include dependency graph for itkOpenCLGlobal.h:

Go to the source code of this file.

## Namespaces

namespace | itk

## Macros

#define | ITK_OPENCL_D(Class)
#define | ITK_OPENCL_DECLARE_PRIVATE(Class)
#define | ITK_OPENCL_DECLARE_PRIVATE_D(Dptr, Class)
#define | ITK_OPENCL_DECLARE_PUBLIC(Class)
#define | ITK_OPENCL_Q(Class)

## Functions

template<typename TObjectType>
static std::unique_ptr< TObjectType >::element_type * | itk::OpenCLGetPtrHelper (const std::unique_ptr< TObjectType > &p)
template<typename T>
static T * | itk::OpenCLGetPtrHelper (T *ptr)

## Macro Definition Documentation

## ITK_OPENCL_D

#define ITK_OPENCL_D | ( |  | Class | ) |

Value:
Class##Pimpl * const d = d_func()

Definition at line 56 of file itkOpenCLGlobal.h.

## ITK_OPENCL_DECLARE_PRIVATE

#define ITK_OPENCL_DECLARE_PRIVATE | ( |  | Class | ) |

Value:
inline Class##Pimpl * d_func() { return reinterpret_cast<Class##Pimpl *>(OpenCLGetPtrHelper(d_ptr)); } \
inline const Class##Pimpl * d_func() const \
{ \
return reinterpret_cast<const Class##Pimpl *>(OpenCLGetPtrHelper(d_ptr)); \
} \
friend class Class##Pimpl;

Definition at line 38 of file itkOpenCLGlobal.h.

## ITK_OPENCL_DECLARE_PRIVATE_D

#define ITK_OPENCL_DECLARE_PRIVATE_D | ( |  | Dptr,
|  |  | Class )

Value:
inline Class##Pimpl * d_func() { return reinterpret_cast<Class##Pimpl *>(Dptr); } \
inline const Class##Pimpl * d_func() const { return reinterpret_cast<const Class##Pimpl *>(Dptr); } \
friend class Class##Pimpl;

Definition at line 46 of file itkOpenCLGlobal.h.

## ITK_OPENCL_DECLARE_PUBLIC

#define ITK_OPENCL_DECLARE_PUBLIC | ( |  | Class | ) |

Value:
inline Class * q_func() { return static_cast<Class *>(q_ptr); } \
inline const Class * q_func() const { return static_cast<const Class *>(q_ptr); } \
friend class Class;

Definition at line 51 of file itkOpenCLGlobal.h.

## ITK_OPENCL_Q

#define ITK_OPENCL_Q | ( |  | Class | ) |

Value:
Class * const q = q_func()

Definition at line 57 of file itkOpenCLGlobal.h.

Generated on 1768596610 for elastix by 1.15.0 |